/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.HttpServletNodeDiscoveryTagTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.InlineTextNodeDiscoveryTagTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.NodeDiscoveryTagInContainerTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.HtmlAnchorNodeFormatterTagTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.NodeFormatterTagInContainerTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.TemplateNodeFormatterTagTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.AbstractNodeMatcherTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.DynamicPathDiscoveryTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.NodePairTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.XmlPathDiscoveryTests;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.nodematchers.RegexNodeMatcherTests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class UnitTests extends TestCase {
    /**
     * <p>
     * Assembles and returns a test suite containing all unit tests.
     * </p>
     *
     * @return Test A non-null test suite.
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        // package com.topcoder.web.ui.tag.breadcrumbtrail
        suite.addTest(BreadCrumbTrailTagTests.suite());
        suite.addTest(BreadCrumbNodeTests.suite());
        suite.addTest(BreadCrumbExceptionTests.suite());
        suite.addTest(BreadCrumbTrailTagExtraInfoTests.suite());
        suite.addTest(AbstractNodeDiscoveryTests.suite());
        suite.addTest(UtilTests.suite());
        suite.addTest(BreadCrumbTrailTagInContainerTests.suite());

        // package com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery
        suite.addTest(InlineTextNodeDiscoveryTagTests.suite());
        suite.addTest(HttpServletNodeDiscoveryTagTests.suite());
        suite.addTest(NodeDiscoveryTagInContainerTests.suite());

        // package com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter
        suite.addTest(HtmlAnchorNodeFormatterTagTests.suite());
        suite.addTest(TemplateNodeFormatterTagTests.suite());
        suite.addTest(NodeFormatterTagInContainerTests.suite());

        // package com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery
        suite.addTest(NodePairTests.suite());
        suite.addTest(XmlPathDiscoveryTests.suite());
        suite.addTest(AbstractNodeMatcherTests.suite());
        suite.addTest(DynamicPathDiscoveryTests.suite());

        // package com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.nodematchers
        suite.addTest(RegexNodeMatcherTests.suite());

        return suite;
    }
}
